Support » Plugin: Brilliant Web-to-Lead for Salesforce » error message in wordpress 4.3.0 only when plugin runs

  • Resolved nailon

    (@nailon)


    Hi:
    I am getting an error message (in debug mode) when the salesforce plugin is enabled. it disappears when the plugin is disabled.

    the error message is in Hebrew (because I am using a hebrew version of wordpress), but translating to English it says something about the method “constructor” does not exist from version 4.3.0 in WP_Widget, use
    __construct()
    instead.
    in /html/wp-includes/functions.php on line 3457

    does anyone know what this is about, and why it’s related to salesforce plugin? I am using “Atlanta” theme (by pojo.me)

    thanks
    Nir Ailon

    https://wordpress.org/plugins/salesforce-wordpress-to-lead/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Thread Starter nailon

    (@nailon)

    hi
    I should mention that this error shows only in debug mode (as in, wp-config.php debug option)

    although the system works in spite of this error message, it doesn’t seem very healhy to me.

    I also created a clean wordpress installation (Hebrew version, although I think it shouldn’t matter) with just salesforce plugin installed – and the problem persists. So it’s 99% that the problem is with the plugin and not with some other plugin, or with interactions between plugins/themes.

    can anyone from the salesforce plugin developers take a look please?

    Plugin Author Nick Ciske

    (@nickciske)

    It’s just a deprecated notice. It’ll be fixed in v3…

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘error message in wordpress 4.3.0 only when plugin runs’ is closed to new replies.